package com.usky.ai.domain;

import java.time.LocalDateTime;
import java.util.List;

public class AiSession {

    private Long id;
    private String sessionId;
    private Long userId; // 添加用户ID字段
    private String userName; // 添加用户名字段
    private String question;
    private LocalDateTime askTime;
    private List<AiQuestionItem> itemList;
    private boolean deleted; // 添加删除标识字段

    public Long getId() { return id; }

    public void setId(Long id) { this.id = id; }

    public String getSessionId() { return sessionId; }

    public void setSessionId(String sessionId) { this.sessionId = sessionId; }

    public Long getUserId() { return userId; }

    public void setUserId(Long userId) { this.userId = userId; }

    public String getUserName() { return userName; }

    public void setUserName(String userName) { this.userName = userName; }

    public String getQuestion() { return question; }

    public void setQuestion(String question) { this.question = question; }

    public LocalDateTime getAskTime() { return askTime; }

    public void setAskTime(LocalDateTime askTime) { this.askTime = askTime; }

    public List<AiQuestionItem> getItemList() { return itemList; }

    public void setItemList(List<AiQuestionItem> itemList) { this.itemList = itemList; }

    public boolean isDeleted() { return deleted; }

    public void setDeleted(boolean deleted) { this.deleted = deleted; }
}
